import ai_generators.ollama_md_generator as omg
import trilium.notes as tn
import string

tril = tn.TrilumNotes()

tril.get_new_notes()
tril_notes = tril.get_notes_content()


def convert_to_lowercase_with_underscores(s):
    allowed = set(string.ascii_letters + string.digits + ' ')
    filtered_string = ''.join(c for c in s if c in allowed)
    return filtered_string.lower().replace(" ", "_")


for note in tril_notes:
    print(tril_notes[note]['title'])
    # print(tril_notes[note]['content'])
    print("Generating Document")
    
    os_friendly_title = convert_to_lowercase_with_underscores(tril_notes[note]['title'])
    ai_gen = omg.OllamaGenerator(os_friendly_title,
                                 tril_notes[note]['content'],
                                 "gemma3:latest",
                                 tril_notes[note]['title'])
    ai_gen.save_to_file(f"/blog_creator/generated_files/{os_friendly_title}.md")
